Location Detail
GET
api/v1/generic-api-service/content/location/detail/{id}
The location detail endpoint is used to see the detail of the selected location.
- cURL
- Request
- Response
- Request Details
- Response Details
curl --location 'https://test-api.etscore.com/api/v1/generic-api-service/content/location/detail/1278' \
--header 'Authorization: Bearer <token>'
/// no request parameter required
{
"id": "1278",
"name": {
"defaultValue": "en",
"translations": {
"en": "Zeytinburnu",
"tr": "Zeytinburnu"
}
},
"longName": null,
"locationTypeId": "TO",
"bounds": {
"northeast": {
"lat": 41.199239,
"lon": 29.4288049
},
"southwest": {
"lat": 40.811404,
"lon": 28.595554
}
},
"centerCoordinate": {
"lat": 41.00667825905986,
"lon": 28.907934824625652
},
"coordinates": {
"coordinates": [
0: {
"lat": 41.024722347619885,
"lon": 28.928546905517578
},
1: {
"lat": 41.028736907514876,
"lon": 28.923568725585938
},
2: {
"lat": 41.02433382883476,
"lon": 28.919963836669922
}
]
},
"parentId": 1262,
"path": "487/549/740/795/1262",
"cityId": 795,
"regionId": 740,
"imageUrl": "https://res.cloudinary.com/odamax/image/upload/v1494873835/qsuimes7xwhbtqdm40y9.png",
"status": "ACTIVE"
}
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Id of the location that detail information will be displayed. |
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Id of the location that detail information will be displayed. |
| name | object-array | Yes | Location name |
| name/defaultValue | string | Yes | Default name's language code. |
| name/translations | object-array | Yes | List of the locations' translations. |
| name/translations/en | string | Yes | English translations of the location |
| name/translations/tr | string | Yes | Turkish translations of the location |
| name/translations/ru | string | No | Russian translations of the location |
| longName | string | No | If yes, location's long name. |
| locationTypeId | object-array | Yes | Id of the location type. |
| bounds | object-array | Yes | Bound information |
| bounds/northeast | int | Yes | Northeast bound |
| bounds/northeast/lat | int | Yes | Latitude of northeast bound |
| bounds/northeast/lon | int | Yes | Longitude of northeast bound |
| bounds/southwest | int | Yes | Southwest bound |
| bounds/southwest/lat | int | Yes | Latitude of southwest bound |
| bounds/southwest/lon | int | Yes | Longitude of southwest bound |
| centerCoordinate | string | Yes | Center coordinates |
| centerCoordinate/lat | string | Yes | Latitude of center |
| centerCoordinate/lon | string | Yes | Longitude of center |
| coordinates | object-array | Yes | Coordinates |
| coordinates/coordinates | object-array | Yes | Coordinates |
| coordinates/coordinates/lat | string | Yes | Latitude |
| coordinates/coordinates/lon | string | Yes | Longitude |
| parentId | int | No | City id of the location's parent |
| path | string | Yes | Path of the locations |
| cityId | int | No | City id of the location |
| regionId | int | No | Region id of the location |
| imageUrl | string | Yes | Location's image url |
| status | string | Yes | Location's status |